[3.2] DB-Fehler nach versuchter Umstelung php-Version

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.1.x und höher und die Konvertierung zu phpBB 3.2.x.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.1.x] oder [3.2.x] angeben.
Antworten
RatzForum
Mitglied
Beiträge: 11
Registriert: 04.06.2018 15:10

[3.2] DB-Fehler nach versuchter Umstelung php-Version

Beitrag von RatzForum » 30.11.2019 15:27

Hallo Leute,

nach einer heute versuchten Umstellung der php-Version von 5.6 auf 7.0 (Forum Version 3.2.5) erhalten wir einen SQL-Fehler oder ist es ein php-Fehler?

Code: Alles auswählen

General Error
SQL ERROR [ mysql4 ]

mysql_connect function does not exist, is mysql extension installed? []

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/phpbb/db/driver/driver.php
LINE: 997
CALL: trigger_error()

FILE: [ROOT]/phpbb/db/driver/mysql.php
LINE: 55
CALL: phpbb\db\driver\driver->sql_error()

FILE: [ROOT]/phpbb/di/container_builder.php
LINE: 555
CALL: phpbb\db\driver\mysql->sql_connect()

FILE: [ROOT]/phpbb/di/container_builder.php
LINE: 212
CALL: phpbb\di\container_builder->inject_dbal_driver()

FILE: [ROOT]/phpbb/di/container_builder.php
LINE: 419
CALL: phpbb\di\container_builder->get_container()

FILE: [ROOT]/phpbb/di/container_builder.php
LINE: 150
CALL: phpbb\di\container_builder->load_extensions()

FILE: [ROOT]/common.php
LINE: 115
CALL: phpbb\di\container_builder->get_container()

FILE: [ROOT]/index.php
LINE: 23
CALL: include('[ROOT]/common.php')
"Rücksprung" auf die php-Version 5.6 hat das schlimmste verhindert.

Kann uns jemand unseren Denkfehler nennen? Irgendetwas ist offensichtlich falsch/schlecht/... konfiguriert. Da die ursprüngliche Installationsperson leider nicht mehr kontaktierbar ist: any hint is welcome!!

Grüße

Benutzeravatar
Mahony
Ehemaliges Teammitglied
Beiträge: 12003
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: [3.2] DB-Fehler nach versuchter Umstelung php-Version

Beitrag von Mahony » 30.11.2019 15:48

Hallo
Ändere in der config.php mysql nach mysqli

Grüße:Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

RatzForum
Mitglied
Beiträge: 11
Registriert: 04.06.2018 15:10

Re: [3.2] DB-Fehler nach versuchter Umstelung php-Version

Beitrag von RatzForum » 01.12.2019 14:08

Hi,

da steht

Code: Alles auswählen

// phpBB 3.0.x auto-generated configuration file
// Do not change anything in this file!
$dbms = 'mysql';
:-? :o
Ich teste es morgen, vorab mach ich noch ein Backup.

Danke für den Tipp
Grüße

Benutzeravatar
chris1278
Mitglied
Beiträge: 1554
Registriert: 12.11.2007 06:20
Wohnort: Euskirchen
Kontaktdaten:

Re: [3.2] DB-Fehler nach versuchter Umstelung php-Version

Beitrag von chris1278 » 01.12.2019 14:17

Ja und genau das hier:

$dbms = 'mysql';

verursacht den Fehler, da dort eigentlich $dbms = 'mysqli'; sein müsste, also mysql zu mysqli anpassen. Dann sollte es laufen.

RatzForum
Mitglied
Beiträge: 11
Registriert: 04.06.2018 15:10

Re: [3.2] DB-Fehler nach versuchter Umstelung php-Version

Beitrag von RatzForum » 03.12.2019 15:37

Hi!

Danke für den Tipp, hat gefunkt!!

... und jetzt einer zum Thema "Jede gute Tat rächt sich!": Welche php-Version ist empfohlen für phpBB3.x? 7.0,7.1, 7.2, 7.3?
Hab mal 7.0 genommen, wegen schlechter Erfahrung; würde aber gerne auf 7.3 hoch ziehen wenn möglich. Hält länger hoffe ich.

Danke und Grüße

Benutzeravatar
vfrblue
Supporter
Supporter
Beiträge: 1662
Registriert: 22.11.2016 18:46
Wohnort: Niedersachsen-West
Kontaktdaten:

Re: [3.2] DB-Fehler nach versuchter Umstelung php-Version

Beitrag von vfrblue » 03.12.2019 15:40

PHP 7.2
Gruß Hermann

phpBB-Styles, Skins, Themes by VT-Theme
Forum VFR-OC

RatzForum
Mitglied
Beiträge: 11
Registriert: 04.06.2018 15:10

Re: [3.2] DB-Fehler nach versuchter Umstelung php-Version

Beitrag von RatzForum » 03.12.2019 15:51

Läuft!!

Merci, Gracie ThanX!

Benutzeravatar
chris1278
Mitglied
Beiträge: 1554
Registriert: 12.11.2007 06:20
Wohnort: Euskirchen
Kontaktdaten:

Re: [3.2] DB-Fehler nach versuchter Umstelung php-Version

Beitrag von chris1278 » 03.12.2019 16:20

PHP 7.3 läuft erst mit Phpbb 3.3. X.

Antworten

Zurück zu „Support-Forum“